Bug 862531 - Review Request: jbossws-parent - JBossWS Parent
Review Request: jbossws-parent - JBossWS Parent
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Stanislav Ochotnicky
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-03 03:16 EDT by Marek Goldmann
Modified: 2012-11-13 04:09 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-13 04:09:37 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
sochotni: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Marek Goldmann 2012-10-03 03:16:37 EDT
Spec URL: http://goldmann.fedorapeople.org/package_review/jbossws-parent/1.0.10-1/jbossws-parent.spec
SRPM URL: http://goldmann.fedorapeople.org/package_review/jbossws-parent/1.0.10-1/jbossws-parent-1.0.10-1.fc17.src.rpm
Description: This package contains the JBossWS Parent
Fedora Account System Username: goldmann

Koji scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=4554295
Comment 1 Stanislav Ochotnicky 2012-10-03 11:11:41 EDT
I'll review this
Comment 2 Stanislav Ochotnicky 2012-10-05 04:22:09 EDT
Package Review
==============

Key:
[x] = Pass
[!] = Fail
[-] = Not applicable
[?] = Not evaluated
[ ] = Manual review needed

===== ISSUES =====
[!]: Requires correct, justified where necessary.

Requires on Maven can be considered a problem. Other jboss packages will likely
have "Requires: jbossws-parent" and thus they would pull in Maven even when
installing JBossAS.

[!]: Latest version is packaged.
1.1.0.GA is out, perhaps you missed it?


Update to 1.1.0.GA (or explain why older version needs to be packaged) and
probably get rid of Maven requires?

===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[-]: %build honors applicable compiler flags or justifies otherwise.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package contains no bundled libraries.
[x]: Changelog in prescribed format.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Sources contain only permissible code or content.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package complies to the Packaging Guidelines
[x]: Spec file lacks Packager, Vendor, PreReq tags.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: License field in the package spec file matches the actual license.
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named using only allowed ASCII characters.
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package do not use a name that already exist
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package installs properly.
[-]: Package is not relocatable.

[x]: CheckResultdir
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file is legible and written in American English.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: Package contains systemd file(s) if in need.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

Java:
[x]: Packages have proper BuildRequires/Requires on jpackage-utils
[x]: Fully versioned dependency in subpackages, if present.
[-]: Javadoc documentation files are generated and included in -javadoc
     subpackage
     Note: No javadoc subpackage present
[-]: Javadoc subpackages have Requires: jpackage-utils
[-]: Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlink)
     Note: No javadoc subpackage present
[x]: Bundled jar/class files should be removed before build

Maven:
[x]: Pom files have correct add_maven_depmap call
[x]: Old add_to_maven_depmap macro is not being used
[x]: Packages DOES NOT have Requires(post) and Requires(postun) on jpackage-
     utils for %update_maven_depmap macro
[x]: If package contains pom.xml files install it (including depmaps) even
     when building with ant
[x]: Package DOES NOT use %update_maven_depmap in %post/%postun
[x]: Packages use %{_mavenpomdir} instead of %{_datadir}/maven2/poms

===== SHOULD items =====

Generic:
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[?]: Package functions as described.
[x]: Package does not include license text files separate from upstream.
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX / PatchY prefixed with %{name}.
[x]: SourceX is a working URL.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Spec use %global instead of %define.

Java:
[x]: Package has BuildArch: noarch (if possible)
[x]: Package uses upstream build method (ant/maven/etc.)

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
[x]: Spec file according to URL is the same as in SRPM.
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.


Rpmlint
-------
Checking: jbossws-parent-1.0.10-1.fc19.noarch.rpm
          jbossws-parent-1.0.10-1.fc19.src.rpm
jbossws-parent.noarch: W: invalid-url URL: http://www.jboss.org/jbossws HTTP Error 403: Forbidden
jbossws-parent.noarch: W: no-documentation
jbossws-parent.src: W: invalid-url URL: http://www.jboss.org/jbossws HTTP Error 403: Forbidden
2 packages and 0 specfiles checked; 0 errors, 3 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint jbossws-parent
jbossws-parent.noarch: W: invalid-url URL: http://www.jboss.org/jbossws HTTP Error 403: Forbidden
jbossws-parent.noarch: W: no-documentation
1 packages and 0 specfiles checked; 0 errors, 2 warnings.
# echo 'rpmlint-done:'



Requires
--------
jbossws-parent-1.0.10-1.fc19.noarch.rpm (rpmlib, GLIBC filtered):

    java
    jpackage-utils
    maven



Provides
--------
jbossws-parent-1.0.10-1.fc19.noarch.rpm:

    jbossws-parent = 1.0.10-1.fc19
    mvn(org.jboss.ws:jbossws-parent) = 1.0.10.GA



MD5-sum check
-------------
https://repository.jboss.org/nexus/service/local/repositories/releases/content/org/jboss/ws/jbossws-parent/1.0.10.GA/jbossws-parent-1.0.10.GA.pom :
  CHECKSUM(SHA256) this package     : 75c293e1b9c506a9ebe59de679dffdacb94ef6238289cfbb48c6534be5d54d2a
  CHECKSUM(SHA256) upstream package : 75c293e1b9c506a9ebe59de679dffdacb94ef6238289cfbb48c6534be5d54d2a


Generated by fedora-review 0.3.0 (27e7615) last change: 2012-09-20
Buildroot used: fedora-raw-x86_64
Command line :/home/w0rm/work/projects/fedora-review/try-fedora-review -b 862531
Comment 4 Stanislav Ochotnicky 2012-10-08 11:04:13 EDT
Looks fine to me, APPROVED
Comment 5 Marek Goldmann 2012-10-08 11:10:26 EDT
Thanks!

New Package SCM Request
=======================
Package Name: jbossws-parent
Short Description: JBossWS Parent
Owners: goldmann
Branches: f17 f18
Comment 6 Jason Tibbitts 2012-10-08 12:32:28 EDT
Git done (by process-git-requests).
Comment 7 Fedora Update System 2012-10-09 04:11:39 EDT
jbossws-parent-1.1.0-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/jbossws-parent-1.1.0-1.fc18
Comment 8 Fedora Update System 2012-10-09 04:12:00 EDT
jbossws-parent-1.1.0-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/jbossws-parent-1.1.0-1.fc17
Comment 9 Fedora Update System 2012-10-09 13:22:42 EDT
jbossws-parent-1.1.0-1.fc18, jbossws-api-1.0.0-3.fc18, jbossws-spi-2.0.3-4.fc18 has been pushed to the Fedora 18 testing repository.

Note You need to log in before you can comment on or make changes to this bug.